Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Interface ModeShapeConfiguration.SetProperties<ReturnType>

Type Parameters:
  `ReturnType` - the interface returned after the property has been set.

All Known Subinterfaces:
  JcrConfiguration.AuthenticatorDefinition<ReturnType>, ModeShapeConfiguration.ClusterDefinition<ReturnType>, ModeShapeConfiguration.MimeTypeDetectorDefinition<ReturnType>, ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>, ModeShapeConfiguration.SequencerDefinition<ReturnType>, ModeShapeConfiguration.TextExtractorDefinition<ReturnType>

All Known Implementing Classes:
  JcrConfiguration.AuthenticatorBuilder, JcrConfiguration.RepositoryBuilder, ModeShapeConfiguration.ClusterBuilder, ModeShapeConfiguration.GlobalProperties, ModeShapeConfiguration.GraphComponentBuilder, ModeShapeConfiguration.GraphReturnable, ModeShapeConfiguration.MimeTypeDetectorBuilder, ModeShapeConfiguration.SequencerBuilder, ModeShapeConfiguration.SourceBuilder, ModeShapeConfiguration.TextExtractorBuilder

Enclosing class:
  ModeShapeConfiguration

    public static interface ModeShapeConfiguration.SetProperties<ReturnType>

Interface for configuring the JavaBean-style properties of an object.

Author:
  Randall Hauch

Method Summary
`Property` | `getProperty(String beanPropertyName)` Get the property.
`ReturnType` | `setProperty(String beanPropertyName, boolean value)` Set the property value to a boolean.
`ReturnType` | `setProperty(String beanPropertyName, double value)` Set the property value to a double.
`ReturnType` | `setProperty(String beanPropertyName, float value)` Set the property value to a float.
`ReturnType` | `setProperty(String beanPropertyName, int value)` Set the property value to an integer.
`ReturnType` | `setProperty(String beanPropertyName, long value)` Set the property value to a long number.
`ReturnType` | `setProperty(String beanPropertyName, Object value)` Set the property value to an object.
`ReturnType` | `setProperty(String beanPropertyName, Object[] values)` Set the property values to an object.
`ReturnType` | `setProperty(String beanPropertyName, short value)` Set the property value to a short.
`ReturnType` | `setProperty(String beanPropertyName, String value)` Set the property value to a string.
`ReturnType` | `setProperty(String beanPropertyName, String value, String... additionalValues)` Set the property value to a string.

Method Detail

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           int value)

  Set the property value to an integer.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           long value)

  Set the property value to a long number.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           short value)

  Set the property value to a short.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           boolean value)

  Set the property value to a boolean.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           float value)

  Set the property value to a float.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           double value)

  Set the property value to a double.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           String value)

  Set the property value to a string.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           String value,
                           String... additionalValues)

  Set the property value to a string.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the first string value for the property
    `additionalValues` - the additional string values for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           Object value)

  Set the property value to an object.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### setProperty

    ReturnType setProperty(String beanPropertyName,
                           Object[] values)

  Set the property values to an object.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `values` - the array of new values for the property
  Returns:
    the next component to continue configuration; never null

### getProperty

    Property getProperty(String beanPropertyName)

  Get the property.

  Parameters:
    `beanPropertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
  Returns:
    the property object, or null if there is no such property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.